[API Reference](../README.md) > [EventFetcher](../interfaces/EventFetcher.md)



# Interface: EventFetcher


returned by EventFetcherFactory <targs>which is created by eventWrapperFactory.</targs>

## Type parameters
#### TArgs 

## Properties
<a id="get"></a>

###  get

**●  get**:  *[EventFetcherHandler](../#EventFetcherHandler)`TArgs`* 

*Defined in [contractWrapperBase.ts:431](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperBase.ts#L431)*





___

<a id="watch"></a>

###  watch

**●  watch**:  *[EventFetcherHandler](../#EventFetcherHandler)`TArgs`* 

*Defined in [contractWrapperBase.ts:432](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperBase.ts#L432)*





___


## Methods
<a id="stopWatching"></a>

###  stopWatching

► **stopWatching**(): `void`



*Defined in [contractWrapperBase.ts:433](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperBase.ts#L433)*





**Returns:** `void`





___


